<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>raycos</artifactId>
        <groupId>com.hys.app</groupId>
        <version>7.2.2</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>module-erp</artifactId>

    <repositories>
        <repository>
            <id>github</id>
            <url>https://maven.pkg.github.com/davidmoten/amazon-sp-api</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>

<!--        <repository>-->
<!--            <id>jitpack.io</id>-->
<!--            <url>https://jitpack.io</url>-->
<!--        </repository>-->
    </repositories>

    <dependencies>
        <dependency>
            <groupId>com.hys.app</groupId>
            <artifactId>framework</artifactId>
            <version>${erp-version}</version>
        </dependency>
        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>RELEASE</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.alipay.sdk</groupId>
            <artifactId>alipay-sdk-java</artifactId>
            <version>4.38.0.ALL</version>
        </dependency>
        <dependency>
            <groupId>com.github.wechatpay-apiv3</groupId>
            <artifactId>wechatpay-java</artifactId>
            <version>0.2.12</version>
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>weixin-java-pay</artifactId>
            <version>4.6.2.B</version>
        </dependency>

        <dependency>
            <groupId>com.github.wxpay</groupId>
            <artifactId>wxpay-sdk</artifactId>
            <version> 0.0.3</version>
        </dependency>


        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-dysmsapi</artifactId>
            <version>2.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>alibabacloud-dm20151123</artifactId>
            <version>1.0.16</version>
        </dependency>
        <dependency>
            <groupId>com.sun.mail</groupId>
            <artifactId>javax.mail</artifactId>
            <version>1.6.2</version>
        </dependency>
        <dependency>
            <groupId>javax.activation</groupId>
            <artifactId>activation</artifactId>
            <version>1.1.1</version>
        </dependency>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.6</version>
        </dependency>

        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>dysmsapi20170525</artifactId>
            <version>2.0.24</version>
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>weixin-java-mp</artifactId>
            <version>4.3.0</version>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>software.amazon.awssdk</groupId>-->
<!--            <artifactId>sdk-core</artifactId>-->
<!--            <version>2.17.89</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>software.amazon.awssdk</groupId>-->
<!--            <artifactId>mws</artifactId>-->
<!--            <version>2.17.89</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.amazonservices.mws.orders</groupId>-->
<!--            <artifactId>mws-orders-api</artifactId>-->
<!--            <version>2013-09-01</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.amazonaws</groupId>-->
<!--            <artifactId>aws-java-sdk</artifactId>-->
<!--            <version>1.11.1000</version>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>com.amazonservices.mws.orders</groupId>-->
<!--            <artifactId>mws-orders-api</artifactId>-->
<!--            <version>2013-09-01</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.amazonservices.mws.products</groupId>-->
<!--            <artifactId>mws-products-api</artifactId>-->
<!--            <version>2011-10-01</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.amazonservices.mws.inventory</groupId>-->
<!--            <artifactId>mws-inventory-api</artifactId>-->
<!--            <version>2010-10-01</version>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>org.apache.httpcomponents</groupId>-->
<!--            <artifactId>httpclient</artifactId>-->
<!--            <version>4.5.13</version>-->
<!--        </dependency>-->
<!--        &lt;!&ndash; Jackson for JSON processing &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>com.fasterxml.jackson.core</groupId>-->
<!--            <artifactId>jackson-databind</artifactId>-->
<!--            <version>2.12.3</version>-->
<!--        </dependency>-->
<!--        &lt;!&ndash; AWS SDK for signing requests &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>software.amazon.awssdk</groupId>-->
<!--            <artifactId>auth</artifactId>-->
<!--            <version>2.16.77</version>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>io.github.davidmoten</groupId>-->
<!--            <artifactId>amazon-sp-api</artifactId>-->
<!--            <version>2.1.60</version>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.amazon</groupId>
            <artifactId>sp-api</artifactId>
            <version>1.0.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/libs/amazon-sp-api-1.0.0-SNAPSHOT.jar</systemPath>
        </dependency>

    </dependencies>


</project>